# man.ksh
# Primitives man fr die KornSHell

FOUND=false

# berprfung, ob ein Parameter angegeben ist...
if [ $# = 0 ]
then
	echo Fehler: Parameter fehlt! >&2
	echo Beispiel: man ls >&2
	exit 1
fi

# Durchsuchen der Manual-Verzeichnisse...
if cd /usr/man/cat1
then
	if [ -f $1.1 ]
	then
		more $1.1
		FOUND=true
	fi
fi
for i in 1 2 3 4 5 6 7 8
do
	if [ -d /usr/man/man$i ]
	then
		cd /usr/man/man$i
		if [ -f $1.$i ]
		then
			nroff -man $1.$i|more
			FOUND=true
		fi
	fi
done

# Hilfe gefunden oder nicht...
if [ $FOUND = false ]
then
	echo Keine Manual-Page zu $1 gefunden! >&2
	exit 1
else
	exit 0
fi

